﻿* Encoding: UTF-8.

*Öffnen der "falschen" Personendatendatei.
GET FILE = 'C:\SPSS-DATEIEN\PERS2_FALSCH.SAV'.

*Invertieren der "falschen" Personendatendatei.
FLIP VARIABLES= v2 TO v11.
SAVE OUTFILE = 'C:\SPSS-DATEIEN\PERS2.SAV'.
GET FILE = 'C:\SPSS-DATEIEN\PERS2.SAV'
/DROP = case_lbl.

*Umbenennen der invertierten Datei in die "richtigen" Variablennamen.
RENAME VARIABLES (var001 = persnr) (var002 = hhnr) (var003 = einkommen) (var004 = vermoegen) (var005 = verbrauch).

*Abspeichern der invertierten Personendatendatei.
SAVE OUTFILE = 'C:\SPSS-DATEIEN\PERS2.SAV'.

*Zusammenführen der Datendateien mit den Fällen 1-10 nach Variablen (in PERS1_2.SAV).
GET FILE = 'C:\SPSS-DATEIEN\PERS1.SAV'.
MATCH FILES /FILE=*
  /FILE='C:\SPSS-DATEIEN\PERS2.SAV'.
EXECUTE.
SAVE OUTFILE='C:\SPSS-DATEIEN\PERS1_2.SAV'.

*Zusammenführen der gerade eben zusammengeführten Datei mit den Fällen 1-10 mit der Datei mit den Fällen 11-20 (in PERS1_2_3).
GET FILE = 'C:\SPSS-DATEIEN\PERS1_2.SAV'.
ADD FILES /FILE=*
  /FILE='C:\SPSS-DATEIEN\PERS3.SAV'.
EXECUTE.
SAVE OUTFILE='C:\SPSS-DATEIEN\PERS1_2_3.SAV'.

*Recodieren von geschlecht sowie in Klassen von alter, einkommen, vermoegen und verbrauch.
RECODE geschlecht ('männlich'='0') ('weiblich'='1').

RECODE alter (0 THRU 24 = 1) (25 THRU 34 = 2) (35 THRU 44 = 3) (45 THRU 54 = 4) (55 THRU 64 = 5) (65 THRU HIGHEST = 6) INTO alter_kl.
RECODE einkommen (0 THRU 999.99 = 1) (1000 THRU 1999.99 = 2) (2000 THRU 2999.99 = 3) (3000 THRU HIGHEST = 4) INTO eink_kl.
RECODE vermoegen (0 THRU 9999.99 = 1) (10000 THRU 19999.99 = 2) (20000 THRU 29999.99 = 3) (30000 THRU HIGHEST = 4) INTO verm_kl.
RECODE verbrauch (0 THRU 749.99 = 1) (750 THRU 1499.99 = 2) (1500 THRU 2249.99 = 3) (2250 THRU HIGHEST = 4) INTO verbr_kl.

*Variablen- und Werteetikette der eben recodierten Variablen.

VARIABLE LABELS geschlecht 'Geschlecht eines Haushaltsmitglieds'.
VALUE LABELS geschlecht '0' 'männliches Haushaltsmitglied' '1' 'weibliches Haushaltsmitglied'.

VARIABLE LABELS alter_kl 'Altersklassen: Individuelles Alter'.
VALUE LABELS alter_kl 1 'Unter 25 Jahren' 2 '25 bis unter 34 Jahren' 3 ' 35 bis unter 44 Jahren' 4 '45 bis unter 55 Jahren' 5 ' 55 bis unter 64 Jahren' 6 '65 Jahre und älter'.

VARIABLE LABELS eink_kl 'Einkommensklassen: Individuelles Einkommen'.
VALUE LABELS eink_kl 1 'Unter 1.000 Euro' 2 '1.000 bis unter 2.000 Euro' 3 '2.000 bis unter 3.000 Euro' 4 '3.000 Euro und mehr'.

VARIABLE LABELS verm_kl 'Vermögensklassen: Individuelles Vermögen'.
VALUE LABELS verm_kl 1 'Unter 10.000 Euro' 2 '10.000 bis unter 20.000 Euro' 3 '20.000 bis unter 30.000 Euro' 4 '30.000 Euro und mehr'.
 
VARIABLE LABELS verbr_kl 'Verbrauchsklassen: Individueller Verbrauch'.
VALUE LABELS verbr_kl 1 'Unter 750 Euro' 2 '750 bis unter 1.500 Euro' 3 '1.500 bis unter 2.250 Euro' 4 '2.250 Euro und mehr'.

*Häufigkeitstabellen für geschlecht und "Klassen-Variablen".
FREQUENCIES VARIABLES = geschlecht alter_kl eink_kl verm_kl verbr_kl.

*Berechnung neuer Variablen zum Sparen und in Abhängigkeit vom Geschlecht zu neuem Einkommenswert.
COMPUTE sparen = einkommen - verbrauch.

IF (geschlecht = '0') eink2 = einkommen.
IF (geschlecht = '1') eink2 = einkommen + 100.

*Variablenetikette numerischen Variablen zugewiesen.
VARIABLE LABELS einkommen 'Individuelles Einkommen'.
VARIABLE LABELS vermoegen 'Individuelles Vermögen'.
VARIABLE LABELS verbrauch 'Individueller Verbrauch'.
VARIABLE LABELS sparen 'Individuelles Sparen'.
VARIABLE LABELS eink2 'Individuelles Einkommen, Frauen/Mädchen: 100 Euro zusätzlich'.

*Ausweis von Statistiken für alle Variablen im Datensatz.
FREQUENCIES VARIABLES = eink2 vermoegen verbrauch sparen
/FORMAT = NOTABLE
/STATISTICS=ALL.

*Abspeichern der veränderten personenbezogenen Gesamtdatei unter neuem Namen (PERS_ALLE).
SAVE OUTFILE = 'C:\SPSS-DATEIEN\PERS_ALLE.SAV'.

*Aggregation dieser personenbezogenen Gesamtdatei zu einer haushaltsbezogenen Gesamtdatei HH_ALLE.SAV für bestimmte Variablen.
*Hierbei: hrf als Gewichtungsvariable i. S. v. Personenanzahl in Haushalt, Variablen _hh bezogen auf Haushalt, _hhv bezogen auf 1. Person im Haushalt.

GET FILE = 'C:\SPSS-DATEIEN\PERS_ALLE.SAV'.

AGGREGATE
  /OUTFILE='C:\SPSS-DATEIEN\HH_ALLE.SAV'
  /BREAK=hhnr
  /hrf = NU(persnr)
  /eink_hh = SUM(einkommen)
  /verm_hh = SUM(vermoegen)
  /verbr_hh = SUM(verbrauch)
  /sparen_hh = SUM (sparen)
  /geschl_hhv= FIRST(geschlecht)
  /alter_kl_hhv = FIRST (alter_kl).


*Variablen- bzw. Werteetikette im neuen haushaltsbezogenen Datensatz HH_ALLE.SAV.
GET FILE = 'C:\SPSS-DATEIEN\HH_ALLE.SAV'.

VARIABLE LABELS hrf 'Gewichtungsfaktor: Anzahl der Haushaltsmitglieder'.
VARIABLE LABELS eink_hh 'Haushaltseinkommen'.
VARIABLE LABELS verm_hh 'Haushaltsvermögen'.
VARIABLE LABELS verbr_hh 'Haushaltsverbrauch'.
VARIABLE LABELS sparen_hh 'Haushaltsersparnis'.
VARIABLE LABELS geschl_hhv 'Geschlecht des Haushaltsvorstands'.
VALUE LABELS geschl_hhv '0' 'männlicher Haushaltsvorstand' '1' 'weiblicher Haushaltsvorstand'.
VARIABLE LABELS alter_kl_hhv 'Altersklasse des Haushaltsvorstands (HHV)'.
VALUE LABELS alter_kl_hhv 1 'Unter 25 Jahren (HHV)' 2 '25 bis unter 34 Jahren (HHV)' 3 ' 35 bis unter 44 Jahren (HHV)' 4 '45 bis unter 55 Jahren (HHV)' 5 ' 55 bis unter 64 Jahren (HHV)' 6 '65 Jahre und älter (HHV)'.

*Berechnung neuer Variablen: Vermögens-Einkommens-, Verbrauchs-Einkommensrelation sowie des Pro-Kopf-Einkommens.
COMPUTE verm_eink_rel_hh = 0.
IF (eink_hh > 0) verm_eink_rel_hh = verm_hh/eink_hh.
VARIABLE LABELS verm_eink_rel_hh 'Vermögens-Einkommensrelation'.

COMPUTE verbr_eink_rel_hh = 0.
IF (eink_hh > 0) verbr_eink_rel_hh = verbr_hh/eink_hh.
VARIABLE LABELS verbr_eink_rel_hh 'Verbrauchs-Einkommensrelation'.

COMPUTE eink_hh_pk = eink_hh/hrf.
VARIABLE LABELS eink_hh_pk 'Haushalts-Pro-Kopf-Einkommen'.

*Berechnung des durchschnittlichen Haushalts-Pro-Kopf-Einkommens über alle Haushalte hinweg, wobei MODE-Einstellung
*dazu führt, dass der Durchschnittswert allen Haushalten zugeordnet wird.
AGGREGATE
   /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=
  /eink_mean = MEAN(eink_hh_pk).


*Temporäres Filtern für die Gruppe derjenigen Haushalte, deren Pro-Kopf-Einkommen niedriger als die Hälfte des Durchschnitts-Pro-Kopf-Einkommens liegt.
TEMPORARY.
SELECT IF (eink_hh_pk < 0.5 * eink_mean).

*Berechnung ausgewählter Statistiken (Median, Durchschnitt) für die ausgefilterte Gruppe einmal gewichtet (mit hrf) und einmal ungewichtet.
WEIGHT BY hrf.
TITLE 'Einkommensschwache Haushalte, gewichtet: Statistiken'.
FREQUENCIES VARIABLES = eink_hh_pk verm_hh verbr_hh verm_eink_rel_hh verbr_eink_rel_hh
/FORMAT= NOTABLE
/STATISTICS = MEDIAN MEAN.

TEMPORARY.
SELECT IF (eink_hh_pk < 0.5 * eink_mean).
WEIGHT OFF.
TITLE 'Einkommensschwache Haushalte, ungewichtet: Statistiken'.
FREQUENCIES VARIABLES = eink_hh_pk verm_hh verbr_hh verm_eink_rel_hh verbr_eink_rel_hh
/FORMAT= NOTABLE
/STATISTICS = MEDIAN MEAN.

*Aufteilen des Datensatzes nach dem Alter des Haushaltsvorstandes.
SORT CASES BY alter_kl_hhv.
SPLIT FILE BY alter_kl_hhv.

*Berechnung ausgewählter Statistiken (Median, Durchschnitt) für die aufgeteilten Altersgruppen (Haushaltsvorstand), einmal gewichtet (mit hrf) und einmal ungewichtet..
WEIGHT BY hrf.
TITLE 'Median, Durchschnitt nach Altersgruppen, gewichtet'.
FREQUENCIES VARIABLES = eink_hh_pk verm_eink_rel_hh verbr_eink_rel_hh
/FORMAT= NOTABLE
/STATISTICS = MEDIAN MEAN.

WEIGHT OFF.
TITLE 'Median, Durchschnitt nach Altersgruppen, ungewichtet'.
FREQUENCIES VARIABLES = eink_hh_pk verm_eink_rel_hh verbr_eink_rel_hh
/FORMAT= NOTABLE
/STATISTICS = MEDIAN MEAN.

*Abspeichern der haushaltsbezogenen Gesamtdatei unter neuem Namen.

SAVE OUTFILE = 'C:\SPSS-DATEIEN\HH_ALLE2.SAV'.

*Löschen der Arbeitsdatei HH_ALLE.SAV, um beim erneuten Durchführen des Syntaxfiles keine Komplikationen mit dem Dateinamen zu erhalten.
ERASE FILE =  'C:\SPSS-DATEIEN\HH_ALLE.SAV'.






