﻿* Encoding: UTF-8.
DEFINE !FILE().
GET FILE='C:\SPSS-DATEIEN\VERMOEGEN_D.SAV'.
!ENDDEFINE.

*Personenbezogene (= gewichtete) Betrachtung

DEFINE !GINI().

WEIGHT BY groesse.

RANK VARIABLES = vermoegen_pk (a)
/TIES=MEAN
/RANK INTO rvermoeg.

IF (vermoegen_pk > 0) ginisumme=rvermoeg * vermoegen_pk.
IF (vermoegen_pk <= 0) ginisumme=0.

AGGREGATE
  /OUTFILE=* 
  /BREAK=
  /ginisumme2=SUM(ginisumme)
  /fallzahl=N(vermoegen_pk)
  /vermoegen_mean=MEAN(vermoegen_pk).

COMPUTE gini = ((2 * ginisumme2) - ((fallzahl+1) * fallzahl * vermoegen_mean))/(Fallzahl**2 * vermoegen_mean).

DESCRIPTIVES VARIABLES=gini
/STATISTICS ALL.

!ENDDEFINE.

TITLE 'Personenbezogene Betrachtungen'.
!FILE.
TITLE 'Gini-Koeffizient, Gesamtvermögen'.
COMPUTE vermoegen_pk=0.
COMPUTE vermoegen_pk = (geldverm + grundverm)/groesse.
!GINI.

!FILE.
TITLE 'Gini-Koeffizient, Geldvermögen'.
COMPUTE vermoegen_pk=0.
COMPUTE vermoegen_pk = geldverm/groesse.
!GINI.

!FILE.
TITLE 'Gini-Koeffizient, Grundvermögen'.
COMPUTE vermoegen_pk=0.
COMPUTE vermoegen_pk = grundverm/groesse.
!GINI.

*Haushaltsbezogene (= ungewichtete) Betrachtung

DEFINE !GINI2().
WEIGHT OFF.

RANK VARIABLES = vermoegen_pk (a)
/TIES=MEAN
/RANK INTO rvermoeg.

IF (vermoegen_pk > 0) ginisumme=rvermoeg * vermoegen_pk.
IF (vermoegen_pk <= 0) ginisumme=0.

AGGREGATE
  /OUTFILE=* 
  /BREAK=
  /ginisumme2=SUM(ginisumme)
  /fallzahl=N(vermoegen_pk)
  /vermoegen_mean=MEAN(vermoegen_pk).

COMPUTE gini = ((2 * ginisumme2) - ((fallzahl+1) * fallzahl * vermoegen_mean))/(fallzahl**2 * vermoegen_mean).

DESCRIPTIVES VARIABLES =gini
/STATISTICS ALL.

!ENDDEFINE.

TITLE 'Haushaltsbezogene Betrachtungen'.
!FILE.
TITLE 'Gini-Koeffizient, Gesamtvermögen'.
COMPUTE vermoegen_pk=0.
COMPUTE vermoegen_pk = (geldverm + grundverm)/groesse.
!GINI2.

!FILE.
TITLE 'Gini-Koeffizient, Geldvermögen'.
COMPUTE vermoegen_pk=0.
COMPUTE vermoegen_pk = geldverm/groesse.
!GINI2.

!FILE.
TITLE 'Gini-Koeffizient, Grundvermögen'.
COMPUTE vermoegen_pk=0.
COMPUTE vermoegen_pk = grundverm/groesse.
!GINI2.
