﻿* Encoding: UTF-8.
DEFINE !FILE().

GET FILE='C:\SPSS-DATEIEN\VERMOEGEN_D.SAV'.

!ENDDEFINE.

DEFINE !UNGLEICH3().

WEIGHT BY groesse.

COMPUTE vermoegen_pk = (geldverm + grundverm)/groesse.

*Rangbildung für Gini-Koeffizienten-Formel:

RANK VARIABLES=vermoegen_pk (a)
  /RANK
  /PRINT=NO
  /TIES=MEAN.


IF (vermoegen_pk > 0) ginisumme=rvermoeg * vermoegen_pk.
IF (vermoegen_pk <= 0) ginisumme=0.

IF (vermoegen_pk > 0) theilsumme=vermoegen_pk*ln(vermoegen_pk).
IF (vermoegen_pk<=0) theilsumme=0.

AGGREGATE
  /OUTFILE=* 
  /BREAK=
  /ginisumme2=SUM(ginisumme)
  /theilsumme2=SUM(theilsumme)
  /fallzahl=N(vermoegen_pk)
  /vermoegen_sum=SUM(vermoegen_pk)
  /vermoegen_mean=MEAN(vermoegen_pk)
  /vermoegen_sd=SD(vermoegen_pk).

COMPUTE gini = ((2/(fallzahl**2*vermoegen_mean))*ginisumme2) - (1+(1/fallzahl)).
COMPUTE cv = ((vermoegen_sd)**2)/(2*vermoegen_mean**2).
COMPUTE theil = (1/(fallzahl*vermoegen_mean))*(theilsumme2-(ln(vermoegen_mean)*vermoegen_sum)).

DESCRIPTIVES VARIABLES=gini cv theil
/STATISTICS ALL.

!ENDDEFINE.

!FILE.
SELECT IF (region=1).
TITLE 'GESAMTVERMÖGEN, REGION 1:'.
!UNGLEICH3.

!FILE.
SELECT IF (region=2).
TITLE 'GESAMTVERMÖGEN, REGION 2:'.
!UNGLEICH3.

!FILE.
SELECT IF (region=3).
TITLE 'GESAMTVERMÖGEN, REGION 3:'.
!UNGLEICH3.
